> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Consult data in Serasa by CPF

Through this endpoint, the partner can consult documents of individuals and legal entities and obtain a detailed report in JSON format.

The report provides an overview of the financial health of the consulted document, including information such as financial liabilities, restrictions, overdue debts, bounced checks and protests, helping to make safe and informed decisions.


## OpenAPI

````yaml post /Bureau/ConsultaSerasaCpf
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Bureau.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Bureau/ConsultaSerasaCpf:
    post:
      tags:
        - BureauSync
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultaSerasaExperianCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/ConsultaSerasaExperianCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ConsultaSerasaExperianCommand'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaSerasaExperianResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaSerasaExperianResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaSerasaExperianResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaSerasaExperianResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaSerasaExperianResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaSerasaExperianResponse'
components:
  schemas:
    ConsultaSerasaExperianCommand:
      type: object
      properties:
        consulta:
          $ref: '#/components/schemas/SerasaExperianConsultarRequest'
      additionalProperties: false
    ConsultaSerasaExperianResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        hasError:
          type: boolean
        falha:
          type: boolean
        json:
          type: string
          nullable: true
      additionalProperties: false
    SerasaExperianConsultarRequest:
      type: object
      properties:
        documento:
          type: string
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````